class Admin::AffiliationsController < AdminController

  access_control do
    allow :admin
    deny anonymous
  end

  before_filter :prepare, :only => [:show, :edit, :update, :destroy]

  # GET admin_affiliations_path
  def index
    @affiliations = Affiliation.all(:order => "position")
  end

  def show
  end

  def edit
  end

  def update
    @affiliation.attributes = params[:affiliation]
    if @affiliation.save
      flash[:notice] = _('Affiliation was successfully updated.')
      redirect_to :action => 'index'
    else
      render :action => 'edit'
    end
  end

  def new
    @affiliation = Affiliation.new
  end

  def create
    @affiliation = Affiliation.new(params[:affiliation])
    if @affiliation.save
      flash[:notice] = _("Affiliation was successfully created.")
      redirect_to :action => 'index'
    else
      render :action => 'new'
    end
  end

  def destroy
    @affiliation.destroy
    flash[:notice] = _("Affiliation was successfully deleted.")
    redirect_to admin_affiliations_path
  end

  def sort
    Affiliation.transaction do
      params[:position].each.with_index do |id, index|
        Affiliation.find(id).update_attribute(:position, index + 1)
      end
      respond_to do |format|
        format.json{ render :json => { :success => true, :message => "success" } }
      end
    end
  end

  private

  def prepare
    @affiliation = Affiliation.find(params[:id])
  end

end
