# -*- coding: utf-8 -*-
class UsersController < ApplicationController
  before_filter :authentication_required
  before_filter :prepare

  # GET user_path
  def show
  end

  # GET edit_user_path
  def edit
    @affiliations = Affiliation.all(:order => 'position').map{|v| [v.name, v.id] }
    @edit_form = UserEditForm.new(:affiliation_id       => @user.affiliation_id,
                                  :matriculation_number => @user.matriculation_number,
                                  :name                 => @user.name,
                                  :email                => @user.email,
                                  :admission_date       => @user.admission_date,
                                  :lock_version         => @user.lock_version)
  end

  # PUT user_path
  def update
    @edit_form = UserEditForm.new(params[:user])
    if @edit_form.valid? && @user.update_attributes(@edit_form.attributes)
      redirect_to user_path
    else
      flash[:error] = "入力内容を確認してください"
      render :action => "edit"
    end
  end

  private

  def prepare
    @user = current_user
  end

end
