# -*- coding: utf-8 -*-
module ProblemsHelper
  def judgement(correct)
    correct ? 'ok' : 'ng'
  end

  def show_problem(expression, id = "")
    case
    when expression.respond_to?(:to_ascii_math_ml)
      str = %Q!<code class="LaTeX">`#{expression.to_ascii_math_ml}`</code>!
    when expression.is_a?(Hash)
      str = %Q!<code class="LaTeX">`#{point("P1", expression[:p1])}, #{point("P2", expression[:p2])}`</code>!
      str << %Q!<div class="svgplot" id="#{id}">&nbsp;</div>!
    end
    str
  end

  def point(label, point)
    %Q!#{label}(#{point[0].to_s}, #{point[1].to_s})!
  end

  def svgplot(problem, expression, id)
    p1 = expression[:p1]
    p2 = expression[:p2]
    gradient = expression[:gradient]
    intercept = expression[:intercept]
    <<JS
var p1 = [#{p1[0]}, #{p1[1]}];
var p2 = [#{p2[0]}, #{p2[1]}];
var arr = [Math.abs(p1[0]), Math.abs(p2[0]), Math.abs(p1[1]), Math.abs(p2[1]), 10];
max = arr.sort(function(a,b){
  if (a < b) return -1;
  if (a > b) return 1;
  return 0;
 })[4] + 5;
var obj = $("##{id}").svg({
  initPath: "imeges/",
  onLoad: plot.init
});
var svg = obj.svg("get");
svg.plot.noDraw().
  xAxis.scale(-max, max).end().
  yAxis.scale(-max, max);
svg.plot.noDraw().addFunction('Linear',
                              plot.linear(#{gradient}, #{intercept}),
                              'blue', 2).
                  addPoint('P1', p1[0], p1[1], 2, 'blue', true).
                  addPoint('P2', p2[0], p2[1], 2, 'blue', true).
                  redraw();
JS
  end
end
