# == Schema Information
# Schema version: 20100309071953
#
# Table name: problem_groups
#
#  id                       :integer       not null, primary key
#  label                    :string(255)   not null
#  description              :text
#  position                 :integer
#  problem_group_problem_id :integer
#  created_at               :datetime
#  updated_at               :datetime
#  lock_version             :integer       default(0), not null
#

class ProblemGroup < ActiveRecord::Base
  has_many :problem_groups_problems, :class_name => 'ProblemGroupsProblems', :dependent => :destroy
  has_many :problems, :through => :problem_groups_problems, :order => 'unit_id, level ASC'
  has_many :learning_results
  has_many :reports

  validates_presence_of :label

  validate :must_have_problems

  acts_as_list

  def must_have_problems
    self.errors.add_to_base("Must have at least one problem.") unless self.problems.size > 0
  end
end
