# -*- coding: utf-8 -*-
class SimpleReport < ReportBase

  def to_pdf(report, results)
    pdf.repeat(:all) do
      pdf.text("Mint", :align => :center, :size => 40)
      pdf.text("数学リメディアル問題 解答レポート", :align => :center)
      pdf.text(user.affiliation.try(:name) || '', :align => :center)
      pdf.text(user.matriculation_number || '', :align => :center)
      pdf.text("#{user.name} <#{user.email}>", :align => :center)
      pdf.text("Certificated by Math Interactive Administrator, #{Time.now.strftime('%Y-%m-%d %H:%M:%S')}",
               :valign => :bottom, :align => :right)
    end
    pdf.text "単元 : " + report.problem_group.label
    pdf.text "問題 : " + report.problem_group.description
    pdf.move_down 10
    data = []
    results.each.with_index do |result, index|
      data << [index+1,
               result.problem_expression,
               result.answer,
               result.example_solution,
               judgement(result.correct?)]
    end
    pdf.table(data,
              :position           => :center,
              :headers            => [" ", "問題", "あなたの答え", "正しい答え", "判定"],
              :border_style       => :grid,
              :vertical_padding   => 5,
              :horizontal_padding => 3)
    pdf.render
  end

end
