# -*- coding: utf-8 -*-
class SummaryReport < ReportBase

  def to_pdf(reports)
    pdf.repeat(:all) do
      pdf.text("Mint", :align => :center, :size => 40)
      pdf.text("数学リメディアル問題 解答レポート", :align => :center)
      pdf.text(user.affiliation.try(:name) || '', :align => :center)
      pdf.text(user.matriculation_number || '', :align => :center)
      pdf.text("#{user.name} <#{user.email}>", :align => :center)
      pdf.text("Certificated by Math Interactive Administrator, #{Time.now.strftime('%Y-%m-%d %H:%M:%S')}",
               :valign => :bottom, :align => :right)
    end
    data = reports.map{|report|
      [report.created_at.to_date.to_s, report.problem_group.label, report.summary]
    }
    sum = reports.inject([0, 0]){|memo, r|
      a, b = r.summary.split('/')
      [memo.first + a.to_i, memo.last + b.to_i]
    }
    data << ["", "合計", "#{sum.first}/#{sum.last}"]
    pdf.move_down 10
    pdf.column_box([0, 680], :columns => 2, :spacer => 3, :width => pdf.bounds.width, :height => 600) do
      pdf.table(data,
                :position           => :left,
                :headers            => ["回答日", "ラベル", "正答率"],
                :border_style       => :grid,
                :vertical_padding   => 5,
                :horizontal_padding => 3)
    end
    pdf.number_pages "<page> / <total>", [pdf.bounds.right - 50, 20]
    pdf.render
  end
end
