class AddAcl9Tables < ActiveRecord::Migration
  def self.up
    create_table :roles do |t|
      t.string   :name,              :limit => 40
      t.string   :authorizable_type, :limit => 40
      t.integer  :authorizable_id
      t.timestamps
    end
    create_table :roles_users, :id => false do |t|
      t.integer  :user_id
      t.integer  :role_id
      t.timestamps
    end
    add_index :roles, [:authorizable_id, :authorizable_type]
    add_index :roles_users, [:user_id, :role_id]
  end

  def self.down
    remove_index :roles, [:authorizable_id, :authorizable_type]
    remove_index :roles_users, [:user_id, :role_id]
    drop_table :roles
    drop_table :roles_users
  end
end
