class CreateUnits < ActiveRecord::Migration
  def self.up
    create_table :units do |t|
      t.string :name, :null => false, :limit => 40
      t.string :symbol, :null => false, :limit => 40
      t.string :form_class_name
      t.integer :position
      t.text :explanation, :null => false, :default => ''

      t.timestamps
      t.lock_version
    end
    add_index :units, :symbol
  end

  def self.down
    remove_index :units, :symbol
    drop_table :units
  end
end
