# -*- coding: utf-8 -*-
Given /^"(.+?)"としてログインしている$/ do |user|
  @user = Factory(user)
  hashed_password = EmailCredential.create_hashed_password("monkey")
  @user.email_credentials.create!(:email            => @user.email,
                                  :hashed_password  => hashed_password,
                                  :activation_token => "1"*20,
                                  :activated_at     => Time.now)
  visit '/auth/email'
  fill_in('login_form_email', :with => @user.email)
  fill_in('login_form_password', :with => 'monkey')
  click_button('ログイン')
end

Then /^以下のテーブルが"(.+?)"に表示されていること:$/ do |selector, expected|
  expected.diff!(tableish(selector, "th,td").to_a)
end

Given /^use all units$/ do
  [
   :ordinary_arithmetic, :decimal_arithmetic, :fractional_arithmetic, :expansion, :factorization,
   :complex_number_arithmetic, :fractional_expression_arithmetic, :partial_fraction_expansion,
   :square_root_arithmetic, :linear_function_graph, :quadratic_equation
  ].each do |s|
    Factory(s)
  end
end

Given /^全てのユニットを使用する$/ do
  Given %{use all units}
end

Given /^use following factories:$/ do |factories|
  factories.raw.flatten.each{|f| Factory(f.to_sym) }
end

Given /^以下のファクトリーを使用する:$/ do |factories|
  Given %{use following factories:}, factories
end

Given /^the following (.+?):$/ do |table_name, attributes|
  table_name.classify.constantize.create!(attributes.hashes)
end

Given /^以下の"(.+?)"を用意する:$/ do |table_name, attributes|
  Given %{the following #{table_name}:}, attributes
end

When /^I delete the (\d+)(?:st|nd|rd|th) records$/ do |pos|
  within("table.list tbody tr:nth-child(#{pos.to_i})") do
    click_link "Destroy"
  end
end

When /^"(\d+)"番目のレコードを削除する$/ do |pos|
  When %{I delete the #{pos}st records}
end

When /^I check the (\d+)(?:st|nd|rd|th) record$/ do |pos|
  within("table.list tbody tr:nth-child(#{pos.to_i})") do
    check("Delete")
  end
end

When /^"(\d+)"番目のレコードをチェックする$/ do |pos|
  When %{I check the #{pos}st record}
end
