require 'spec_helper'

describe AdminController do

  before do
    @user = Factory(:user)
    @admin = Factory(:admin)
    @teacher = Factory(:teacher)
  end

  describe "GET 'index'" do
    describe "by anonymous user" do
      before{ get 'index' }
      it{ response.should be_redirect }
    end
    describe "by non-admin user" do
      before do
        login_as(@user)
        get "index"
      end
      it{ response.status.should == "403 Forbidden"}
      it{ response.should render_template('/admin/error') }
    end
    ADMINS.each do |u|
      describe "by #{u}" do
        before do
          login_as(instance_variable_get("@#{u}"))
          get 'index'
        end
        it{ response.should be_success }
        it{ response.should render_template('index') }
      end
    end
  end

end
