Factory.define :problem do |m|
  m.level 1
  m.amount 2
  m.options({ :term_number => 2, :operators => %w[+ - * div] }.to_json)
end

Factory.define :ordinary_arithmetic_level_1, :parent => :problem do |m|
  m.unit{|u| u.association(:ordinary_arithmetic) }
  m.options({
              :minus => true, :min => 0, :max => 100,
              :term_number => 2,
              :operators => %w[+ - * div]
            }.to_json)
end

Factory.define :decimal_arithmetic_level_1, :parent => :problem do |m|
  m.unit{|u| u.association "decimal_arithmetic" }
  m.options({
              :minus => true, :digits => 2, :min => 0, :max => 10.0,
              :term_number => 2,
              :operators => %w[+ - * div]
            }.to_json)
end

Factory.define :fractional_arithmetic_level_1, :parent => :problem do |m|
  m.unit{|u| u.association "fractional_arithmetic" }
  m.options({
              :minus => true,
              :numerator_min => 1, :numerator_max => 10,
              :denominator_min => 2, :denominator_max => 10
            }.to_json)
end

Factory.define :factorization_level_1, :parent => :problem do |m|
  m.unit{|u| u.association  "factorization" }
  m.options({
              :order_min => 2, :order_max => 3, :x => %w[x y z],
              :factor_minus => true, :factor_min => 0, :factor_max => 10
            }.to_json)
end

Factory.define :expansion_level_1, :parent => :problem do |m|
  m.unit{|u| u.association "expansion" }
  m.options({
              :order_min => 2, :order_max => 3, :x => %w[x y z],
              :factor_minus => true, :factor_min => 0, :factor_max => 10
            }.to_json)
end

Factory.define :complex_number_arithmetic_level_1, :parent => :problem do |m|
  m.unit{|u| u.association :complex_number_arithmetic }
  m.options({
              :term_number => 2, :operators => %w[+ - * /],
              :min => 0, :max => 30,
              :fractional_mode => false,
            }.to_json)
end

Factory.define :complex_fractional_arithmetic_level_1, :parent => :problem do |m|
  m.unit{|u| u.association :complex_fractional_arithmetic }
  m.options({
              :operators => %w[+ - *],
              :numerator_term_min => 1, :numerator_term_max => 2,
              :denominator_term_min => 2, :denominator_term_max => 2,
            }.to_json)
end

Factory.define :fractional_expression_arithmetic_level_1, :parent => :problem do |m|
  m.unit{|u| u.association :fractional_expression_arithmetic }
  m.options({
              :x => ['x'],
              :numerator_term_min   => 1, :numerator_term_max   => 1,
              :denominator_term_min => 1, :denominator_term_max => 1,
              :factor_minus => false, :factor_min => 1, :factor_max => 9,
            }.to_json)
end

Factory.define :partial_fraction_expansion_level_1, :parent => :problem do |m|
  m.unit{|u| u.association :partial_fraction_expansion }
  m.options({
              :order_min         => 2,     :order_max       => 2, :x               => ['x'],
              :factor_minus      => false, :factor_min      => 1, :factor_max      => 100,
              :coefficient_minus => false, :coefficient_min => 1, :coefficient_max => 1,
              :numerator_minus   => false, :numerator_min   => 1, :numerator_max   => 1,
            }.to_json)
end

Factory.define :square_root_arithmetic_level_1, :parent => :problem do |m|
  m.unit{|u| u.association :square_root_arithmetic }
  m.options({
              :term_number => 2, :operators => %w[+ -],
              :min => 1, :max => 50,
              :single_term_min => 1, :single_term_max => 2,
              :use_coefficient => true, :use_power => true,
            }.to_json)
end

Factory.define :linear_function_graph_level_1, :parent => :problem do |m|
  m.unit{|u| u.association :linear_function_graph }
  m.options({
              :minus => true,
              :x_minus => true, :x_min => 0, :x_max => 10,
              :numerator_min => 1, :numerator_max => 10,
              :denominator_min => 2, :denominator_max => 5
            }.to_json)
end

Factory.define :quadratic_equation_level_1, :parent => :problem do |m|
  m.unit{|u| u.association :quadratic_equation }
  m.options({
              :answer_type => :rational,
              :r_min => 1,
              :r_max => 20,
              :p_min => 0,
              :p_max => 12,
              :q_min => 0,
              :q_max => 40,
            }.to_json)
end
