
Factory.define :user do |u|
  u.name 'name'
  u.email 'name@example.com'
  u.admission_date Date.today
end

Factory.define :test, :parent => :user do |u|
  u.name 'test'
  u.email 'test@example.com'
end

Factory.define :admin, :parent => :user do |u|
  u.name 'admin'
  u.email 'admin@example.com'
  u.after_build{|user| user.has_role! :admin }
  u.after_create{|user| user.has_role! :admin }
end

Factory.define :teacher, :parent => :user do |u|
  u.name 'teacher'
  u.email 'teacher@example.com'
  u.after_build{|user| user.has_role! :teacher }
  u.after_create{|user| user.has_role! :teacher }
end

Factory.define :user_list, :parent => :user do |u|
  u.sequence(:name){|n| "user#{'%03d' % n}" }
  u.sequence(:email){|n| "user#{'%03d' % n}@example.com" }
end

Factory.define :user_with_reports, :parent => :user do |u|
  u.reports{|r| Array.new(2){ r.association(:report) } }
end
