require 'spec_helper'

describe ReportsHelper do
  include ReportsHelper

  describe "gradient_intercept" do
    [
     ["2 * x + 1"  , ["2", "1"]],
     ["-2 * x + 1" , ["-2", "1"]],
     ["2 * x - 1"  , ["2", "-1"]],
     ["2*x+1"      , ["2", "1"]],
     ["-2*x+1"     , ["-2", "1"]],
     ["2*x-1"      , ["2", "-1"]],
     ["x"          , ["1", "0"]],
     ["x + 1"          , ["1", "1"]],
     ["x - 1"          , ["1", "-1"]],
     ["10x - 1"          , ["10", "-1"]],
     ["(1/2) * x + 1/2", ["1/2", "1/2"]],
     ["(1 / 2) * x + 1 / 2", ["1/2", "1/2"]],
     ["(-1 / 2) * x - 1 / 2", ["-1/2", "-1/2"]],
    ].each do |expression, expected|
      describe expression do
        it{ gradient_intercept(expression).should == expected }
      end
    end
  end

end
