require 'spec_helper'

describe Affiliation do
  before(:each) do
    @valid_attributes = {
      :name     => "name",
      :position => 1
    }
    @klass = Affiliation
    @basic = @klass.new(@valid_attributes)
  end

  describe "basic" do
    it{ @basic.should be_valid }
  end

  describe "validations" do
    describe "name" do
      before do
        @target = :name
      end
      it_should_behave_like 'validates_presence_of'
      describe "is not unique" do
        before do
          @basic.dup.save!
        end
        it{ @basic.should_not be_valid }
      end
    end
  end

  describe "association" do
    describe "has_many :users" do
      before do
        @target = Factory(:affiliation_with_users)
      end
      it{ @target.should have(3).users }
    end
  end
end
