require 'spec_helper'

describe ProblemGroup do
  before(:each) do
    @valid_attributes = {
      :label => "label",
      :description => "description",
    }
    @klass = ProblemGroup
    @basic = @klass.new(@valid_attributes)
    @basic.problems << Factory.build(:ordinary_arithmetic_level_1)
  end

  describe "basic" do
    it{ @basic.should be_valid }
  end

  describe "validation" do
    describe "label" do
      describe "is null" do
        subject{ @basic.label = nil; @basic }
        it{ should_not be_valid }
      end
      describe "is empty" do
        subject{ @basic.label = ""; @basic }
        it{ should_not be_valid }
      end
    end
    describe "problems" do
      describe "is empty" do
        subject{ @basic.problems.clear; @basic }
        it{ should_not be_valid }
      end
    end
  end

  describe "association" do
    describe "has_many problms" do
      before do
        @basic.problems << Factory(:expansion_level_1)
        @basic.save!
        @basic.reload
      end
      it{ @basic.problems.should have(2).problems }
    end
  end
end
