require 'spec_helper'

describe UserEditForm do
  before(:each) do
    @valid_attributes = {
      :name           => "name",
      :email          => "name@example.com",
      :admission_date => Date.today,
    }
    @klass = UserEditForm
    @basic = @klass.new(@valid_attributes)
  end

  describe "name is blank" do
    subject{ @basic.name = ""; @basic }
    it{ should_not be_valid }
  end

  describe "name is nil" do
    subject{ @basic.name = nil; @basic }
    it{ should_not be_valid }
  end

  describe "email is blank" do
    subject{ @basic.email = ""; @basic }
    it{ should_not be_valid }
  end

  describe "email is nil" do
    subject{ @basic.email = nil; @basic }
    it{ should_not be_valid }
  end

  describe "email is bad format" do
    subject{ @basic.email = 'a..b@example.com'; @basic }
    it{ should_not be_valid }
  end

end
