require 'spec_helper'

describe "/admin/problems/edit" do
  [
   :ordinary_arithmetic_level_1,
   :decimal_arithmetic_level_1,
   :fractional_arithmetic_level_1,
   :expansion_level_1,
   :factorization_level_1,
   :complex_number_arithmetic_level_1,
   :fractional_expression_arithmetic_level_1,
   :partial_fraction_expansion_level_1,
   :square_root_arithmetic_level_1,
   :linear_function_graph_level_1,
   :quadratic_equation_level_1,
  ].each do |problem_label|
    describe problem_label do
      before(:each) do
        problem = Factory.build(problem_label)
        problem.should_receive(:id).at_least(1).and_return(1)
        unit = problem.unit
        Unit.should_receive(:find).at_least(1).and_return(unit)
        assigns[:problem] = problem
        assigns[:form] = unit.form_class.new
        render 'admin/problems/edit'
      end

      it{ response.should have_tag('h1') }
      it{ response.should have_tag('table.problem') }
    end
  end

end
